// =====================================================================
//  $Id: TOutputStream.cc,v 1.3 2004/06/28 04:50:30 goiwai Exp $
//  $Name: CLDAQ-1-14-06 $
//  $Log: TOutputStream.cc,v $
//  Revision 1.3  2004/06/28 04:50:30  goiwai
//  GetLogLevel()を追加しました。
//
//  Revision 1.2  2004/06/28 04:02:50  goiwai
//  TlogをTclogに変更
//
//  Revision 1.1  2004/06/24 15:17:51  goiwai
//  std::cout等をやめて、TOutputStreamのオブジェクトTcoutを使うことにした。理由は、出力前に皮をかぶせてやりたかったから。
//  SystemActionのCatch〜で設定できる。
//
// =====================================================================
#include "TOutputStream.hh"
#include "TStringStreamBuffer.hh"

TOutputStream::TOutputStream( TStringStreamBuffer* buffer )
  : std::ostream( buffer )
{;}

void TOutputStream::SetLogLevel( int level )
{
  ( (TStringStreamBuffer*)_M_streambuf ) -> SetLogLevel( level );
  return;
}

int TOutputStream::GetLogLevel() const
{
  return ( (TStringStreamBuffer*)_M_streambuf ) -> GetLogLevel();
}

TOutputStream Tcout( &coutbuf );
TOutputStream Tcerr( &cerrbuf );
TOutputStream Tclog( &clogbuf );

#ifdef __CLDAQ_ROOT_DLL
    ClassImp(TOutputStream)
#endif
